libopenobex1_1.5-2.1_i386.deb


Advertisement

Description

libopenobex1 - OBEX protocol library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package name libopenobex1
Package version 1.5
Package release 2.1
Package architecture i386
Package type deb
Installed size 73 B
Download size 25.10 KB
Official Mirror ftp.br.debian.org
The Object Exchange protocol can best be described as binary HTTP.
OBEX is optimised for ad-hoc wireless links and can be used to exchange
all kind of objects like files, pictures, calendar entries (vCal)
and business cards (vCard).
OBEX is builtin in devices like PDA's like the Palm Pilot, and mobile
phones like the Ericsson R320, Siemens S25, Siemens S45, Siemens ME45,
Nokia NM207 and Nokia 9110 Communicator.

Alternatives

Package Version Architecture Repository
libopenobex1_1.5-2.1_amd64.deb 1.5 amd64 Debian Main
libopenobex1 - - -

Requires

Name Value
libc6 >= 2.1.3
libusb-0.1-4 >= 2:0.1.12

Download

Type URL
Binary Package libopenobex1_1.5-2.1_i386.deb
Source Package libopenobex

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libopenobex1 deb package:
    # sudo apt-get install libopenobex1

Files

Path
/usr/lib/libopenobex.so.1
/usr/lib/libopenobex.so.1.5.0
/usr/share/doc/libopenobex1/changelog.Debian.gz
/usr/share/doc/libopenobex1/changelog.gz
/usr/share/doc/libopenobex1/copyright

Changelog

2013-07-23 - Joe Nahmias <jello@debian.org>
libopenobex (1.5-2.1) unstable; urgency=low
* Non-maintainer upload.
* Fix segfault when transferring files, closes: #699740.
* Update debian/watch, closes: #717458.
2009-06-21 - Hendrik Sattler <debian@hendrik-sattler.de>
libopenobex (1.5-2) unstable; urgency=low
* Fix Docbook-XML build dependencies to build the application manual pages
* Replace dh_clean -k with dh_prep call
* Fix cmake version dependency (closes: #525493)
* Bump standard revision to 3.8.2.0: no changes required.
2009-02-14 - Hendrik Sattler <debian@hendrik-sattler.de>
libopenobex (1.5-1) unstable; urgency=low
* New upstream release (closes: #514577)
* Removed patch files define.patch, compat_defines.path, ircp.path:
included upstream
* Rewrote debian/rules to compile using CMake
* Added CMake >= 2.6 to build-depends
* Added parallel build option support in debian/rules
* Bump standard revision to 3.8.0.0: Copied README.source from quilt package
* Removed debian/manpages/*: included upstream as DocBook XML
* Add patch: fix version information in toplevel CMakeLists.txt
* Add patch: Add missing doc/openobex-apps.xml (from upstream git repository)
* Add patch: fix bluetooth detection in CMakeModules/FindBluetooth.cmake
* Add patch: fix undefined use of sprintf
2008-03-14 - Hendrik Sattler <debian@hendrik-sattler.de>
libopenobex (1.3+cvs20070425-2) unstable; urgency=low
* patches/compat_defines.patch: reintroduce defines OBEX_CLIENT and
OBEX_SERVER (closes: #470441, #470444)
2008-03-06 - Hendrik Sattler <debian@hendrik-sattler.de>
libopenobex (1.3+cvs20070425-1) unstable; urgency=low
* Updated to current CVS (since CVS did not change in 9 months):
- Adds new TcpOBEX (IPv6 support)
* Remove patches:
- docbuild2.patch: not needed anymore
- pkgconfig.patch: not needed anymore
* debian/control:
- use libbluetooth-dev instead of libbluetooth2-dev
- do not require libbluetooth-dev on kfreebsd-* (closes: #416259)
* debian/rules: fix cross-build support (closes: #465262)
* debian/copyright: add proper copyright information
* debian/openobex-apps.copyright: removed
2006-09-29 - Hendrik Sattler <debian@hendrik-sattler.de>
libopenobex (1.3-3) unstable; urgency=low
* do not install the libopenobex.la file, should resolve that sticking
libusb dependency for packages that depend on libopenobex and use libtool
(after being rebuilt)
* use Requires.private instead of Libs.private in .pc file and adapt REQUIRES
define to not include bluez
* compile apps without libusb (not needed)
* debian/control: build depend on automake-1.9, autoconf and libtool
* debian/rules: run autoreconf where appropriate
2006-09-26 - Hendrik Sattler <debian@hendrik-sattler.de>
libopenobex (1.3-2) unstable; urgency=low
* add pkgconfig.patch: fixes pkg-config output for dynamic linking
2006-07-06 - Hendrik Sattler <debian@hendrik-sattler.de>
libopenobex (1.3-1) unstable; urgency=low
* New upstream version
* Clean up debian/rules
* Bump standards revision to 3.7.2.0: no changes required.
* Update build dependencies:
- update quilt version to 0.45
- change from libbluetooth1-dev to libbluetooth2-dev, same for Depends field
of binary package libopenobex1-dev (closes: #376900)
* Fix quilt inclusion in debian/rules and roperly use quilt stamp file in the
rules file
* Remove patches that got applied upstream:
- rodrigues_irobex_palm3.patch
- docbuild.patch
- obex_test.patch
* Add new docbuild2.patch to fix building of documentation, again, because
docbook2html fails with XML DOCTYPE declaration
* Lower dependency from libopenobex1-dev on pkg-config from Depends to Suggests
(it is a useful tool but the package can be used without it)

See Also

Package Description
libopenoffice-oodoc-perl_2.125-3_all.deb module for working with Open Document Format files
libopenr2-3_1.3.3-1_i386.deb MFC/R2 (telephony) call setup library
libopenr2-bin_1.3.3-1_i386.deb MFC/R2 (telephony) call setup library - test programs
libopenr2-dev_1.3.3-1_i386.deb MFC/R2 (telephony) call setup library - development headers
libopenraw-dev_0.0.9-3.5+b2_i386.deb free implementation for RAW decoding - development files
libopenraw1_0.0.9-3.5+b2_i386.deb free implementation for RAW decoding
libopenrawgnome-dev_0.0.9-3.5+b2_i386.deb GNOME integration for libopenraw - development files
libopenrawgnome1_0.0.9-3.5+b2_i386.deb free implementation for RAW decoding (GNOME integration)
libopenrpt-dev_3.3.7-1_i386.deb graphical SQL report writer, designer and rendering engine (development)
libopenrpt1_3.3.7-1_i386.deb graphical SQL report writer, designer and rendering library
libopensaml2-java-doc_2.6.2-1_all.deb Documentation for OpenSAML-J
libopensaml2-java_2.6.2-1_all.deb OpenSAML-J
libopenscap-dev_1.0.9-1+b2_i386.deb Set of libraries enabling integration of the SCAP line of standards
libopenscap-perl_1.0.9-1+b2_i386.deb Set of libraries enabling integration of the SCAP line of standards
libopenscap8_1.0.9-1+b2_i386.deb Set of libraries enabling integration of the SCAP line of standards
Advertisement
Advertisement